# Enum item_value_type

- Defined in File item.hpp

## Enum Documentation

enum class cif::item_value_type

  The primitive types as known in libcifpp.

  Values:

  enumerator INT

    Integer, stored as int64_t.

  enumerator FLOAT

    Floating point, stored as double.

  enumerator TEXT

    Character string.

  enumerator INAPPLICABLE

    A value is not applicable, no data is stored, output is ‘.’.

  enumerator MISSING

    A values is now known or missing, no data is stored, output is ‘?’.